#
# spec file for package python-dbfread
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-dbfread
Version:        2.0.7
Release:        5.1
Summary:        DBF file reader for Python
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/olemb/dbfread
Source:         https://files.pythonhosted.org/packages/source/d/dbfread/dbfread-%{version}.tar.gz
# gh#olemb/dbfread#33
Patch0:         pytest4.patch
Patch1:         field_parser.patch
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
DBF is a file format used by databases such dBase, Visual FoxPro, and
FoxBase+. This library reads DBF files and returns the data as native
Python data types for further processing. It is primarily intended for
batch jobs and one-off scripts.

%prep
%autosetup -p1 -n dbfread-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue Jul 23 2024 Berthold Gunreben <azouhr@opensuse.org>
- Add field_parser.patch to ensure that fields are parsed with
  little endian. Created pull request at gh#olemb/dbfread#71.
* Fri Nov  1 2019 Matej Cepl <mcepl@suse.com>
- Add pytest4.patch from gh#olemb/dbfread#33 which makes the test
  suite to pass with PyTest 4.
* Thu Aug 22 2019 Tomáš Chvátal <tchvatal@suse.com>
- Restrict to pytest3 as newer need major test tweaks
* Wed Dec  5 2018 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase.
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Fri May 18 2018 toddrme2178@gmail.com
- Use license tag
- Fix tests
* Tue Nov  7 2017 toddrme2178@gmail.com
- initial version
